<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="..\configs.props" />
  <PropertyGroup Label="PropertySheets">
    <PlatformToolset>WindowsKernelModeDriver10.0</PlatformToolset>
    <ConfigurationType>Utility</ConfigurationType>
    <DriverType>Package</DriverType>
    <DisableFastUpToDateCheck>true</DisableFastUpToDateCheck>
    <SupportsPackaging>true</SupportsPackaging>
    <DriverTargetPlatform>Desktop</DriverTargetPlatform>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Label="Globals">
    <ProjectGuid>{9B071A35-897C-477A-AEB7-95F77618A21D}</ProjectGuid>
  </PropertyGroup>
  <Import Project="..\targets.props" />
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <PropertyGroup>
    <EnableInf2cat>true</EnableInf2cat>
    <Inf2CatWindowsVersionList Condition="'$(Platform)'=='x64'">8_x64;Server8_x64;10_x64;Server10_x64</Inf2CatWindowsVersionList>
    <Inf2CatWindowsVersionList Condition="'$(Platform)'=='Win32'">8_x86;10_x86</Inf2CatWindowsVersionList>
    <DebuggerFlavor>DbgengKernelDebugger</DebuggerFlavor>
    <EnableDeployment>False</EnableDeployment>
    <ImportToStore>False</ImportToStore>
    <InstallMode>None</InstallMode>
    <ScriptDeviceQuery>%PathToInf%</ScriptDeviceQuery>
    <EnableVerifier>False</EnableVerifier>
    <AllDrivers>False</AllDrivers>
    <VerifyProjectOutput>True</VerifyProjectOutput>
    <VerifyDrivers />
    <VerifyFlags>133563</VerifyFlags>
    <IntDir>..\$(ProjectName)\$(ConfigurationName)\$(Platform)\</IntDir>
    <OutDir>..\$(ConfigurationName)\$(Platform)\</OutDir>
  </PropertyGroup>
  <ItemGroup>
    <ProjectReference Include="..\xeniface\xeniface.vcxproj">
      <Project>{22166290-65D8-49D2-BB88-33201797C7D8}</Project>
    </ProjectReference>
    <ProjectReference Include="..\xeniface_coinst\xeniface_coinst.vcxproj">
      <Project>{85c731ad-2ea2-4049-a542-d2d38ede938c}</Project>
    </ProjectReference>
    <ProjectReference Include="..\xenagent\xenagent.vcxproj">
      <Project>{2E61D2CC-865E-442C-8C83-B8DAFD7BBD3B}</Project>
    </ProjectReference>
    <ProjectReference Include="..\xencontrol\xencontrol.vcxproj">
      <Project>{D386D8E9-D015-4AD2-A5C2-4F845A803FA2}</Project>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup Condition="Exists('$(DPINST_REDIST)')">
    <FilesToPackage Include="$(DPINST_REDIST)\x86\dpinst.exe" Condition="'$(Platform)'=='Win32'" />
    <FilesToPackage Include="$(DPINST_REDIST)\x64\dpinst.exe" Condition="'$(Platform)'=='x64'" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>
